Subject: Re: FWD: Re: what is the voice packet size?

From: Binshi Cao <[email-masked]>
Date: Fri, 11 Sep 1998 16:02:46 -0400

Orion Hodson wrote:
> 
> 
> 
> The overriding factor at the moment is packet jitter and the buffer
> size you need to accomodate it at present.  On most wide area links
> you need 200ms+ playout buffering.
> 

for commecial products, the comsumer considers the speech quality. we may use
the play out buffering as much as possible but it depends the codec you used and
the MOS score it provides and further distortion the VOI introduced including
delay and lost of packets -- the extra new problem for speech coding.

> 
> OK, obviously you only get echo if you are using a loudspeaker.  Most
> conferencing applications use headsets and handsets.  
>
the handset produces echo as well.  that is why echo canceller is used in the
wireless handset.

> 
> There are several cards (SunVideo Plus) that do echo cancellation (and
> audio encoding) on board and it seems to be a trend that soundcards
> have increasingly sophisticated DSPs onboard so it maybe increasingly
> feasible to offload this operation completely.  Also DSP performance
> of general purpose processors is comparable to dedicated DSPs and the
> gap is closing.  There are limits as to how much time processes can
> get access to this DSP performance, but the time will come.
> 
curent typical DSP MIP values for echo cancellor are 3-4 MIPs for wireless
handset and 14-16 MIPs for VOI applications (it provides 32ms covering range).
  
> 
> One aspect that hasn't arisen here is that of loss concealment.  Many
> loss concealment algorithms exist that will work near transparently
> for 16-32ms losses for voice and my own experience is that 80ms can be
> tolerated in many cases.  Given the choice many users might tolerate
> some degradation if the cost-quality trade was right.
> 

As my experience, lost of 20 ms speech segment may be O.K. but maybe not more
(it also depends what codec you uses).  this "loss concealment" is for the
packet lost, or delayed, in the transmission and not for the coding algrithm
discarding the speech segments. 

Yes, all of these have to be trade-off.  future speech codec specially designed
for VOI should consider these facts and keep the low bit rate and high quality.

> - Orion
> 
> Orion Hodson
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
> Research Student       Networked Multimedia Research Group
> Department of Computer Science, University College London,
> Gower Street, London, WC1E 6BT, UK.  Tel: (0)171 419 3704.
> -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
> ---------
> This message came from the IETF IPTEL Working Group Mailing List.

Binshi Cao.

---

From: Orion Hodson <[email-masked]>
Date: Sat, 12 Sep 1998 11:40:10 +0200

> delay and lost of packets -- the extra new problem for speech coding.

Speech ceases to be interactive if the end to end delay is more than
250ms (Brady c1969).  If you are not offering a service in this
ballpark it isn't going to fly no matter how you price it.

Packet loss is not a new problem for speech coding.  People have
been working on packet speech since the first ARPANET experiments in
the early 1970's.  There are quite a lot of papers on loss concealment
and quite a few speech coding standards have sections on dealing with
erasures.

> handset and 14-16 MIPs for VOI applications (it provides 32ms covering range).

Right.  But isn't the original argument fallacious - an echo cancellor filters
out echo from the surroundings.  Just because you stick X ms speech in
a packet the signal delays between the earpiece/speaker/echoes and the
microphone does not change.  Echo cancellation bears no relation to
packet size.

This months IEEE spectrum has some benchmarks of DSPs, the value of
MIPS as a DSP measure, and the performance of chips like the Pentium
and PowerPC (surprisingly high).  So you can at least consider your
cpu doing it if you really want.

For a different approach to how long speech packets should be there is
a paper by D.Minoli in 1979 ("Optimal Packet Length for Packet Voice
Communication", IEEE Trans. Comm, Com-27, pp607-611) attempting to
derive the length analytically.  The details escape me and I seem to
have misplaced the paper, but I seem to recall he came to the
conclusion of around 16ms.

- Orion

---------

---

From: Orion Hodson <[email-masked]>
Date: Sat, 12 Sep 1998 16:27:19 +0200

> microphone does not change.  Echo cancellation bears no relation to

Sorry I was being daft.  You may consider the delay imposed by echo
cancellation in your total delay calculation, in which case it will
have a bearing.  

cheers
- Orion
---------